# $Revision: 1.83 $, $Date: 2007/09/12 07:49:44 $
Summary:	Utility for managing filesystem extended attributes
Summary(pl.UTF-8):	Narzędzia do zarządzania rozszerzonymi atrybutami systemu plików
Name:		attr
Version:	2.4.39
Release:	1
License:	LGPL v2+ (library), GPL v2+ (utilities)
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}_%{version}-1.tar.gz
# Source0-md5:	6015feba42b18307de90bb6be9909f7d
Patch0:		%{name}-miscfix.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-LDFLAGS.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
Obsoletes:	libattr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
An experimental attr command to manipulate extended attributes under
Linux.

%description -l pl.UTF-8
Eksperymentalna wersja polecenia attr to zarządzania rozszerzonymi
atrybutami pod systemem Linux.

%package devel
Summary:	Header files and libraries to use extended attributes
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki do korzystania z rozszerzonych atrybutów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files to develop software which manipulate extended attributes.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia oprogramowania manipulującego
rozszerzonymi atrybutami.

%package static
Summary:	Static libraries for extended attributes
Summary(pl.UTF-8):	Biblioteki statyczne do korzystania z rozszerzonych atrybutów
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for extended attributes.

%description static -l pl.UTF-8
Biblioteki statyczne do korzystania z rozszerzonych atrybutów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -f aclocal.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -DENABLE_GETTEXT"

%{__make} \
	LLDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB

%{__make} install \
	DIST_MANIFEST=$DIST_INSTALL
%{__make} install-dev \
	DIST_MANIFEST=$DIST_INSTALL_DEV
%{__make} install-lib \
	DIST_MANIFEST=$DIST_INSTALL_LIB

rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_getf,attr_listf}.3
rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_multif,attr_removef,attr_setf}.3
rm -rf	$RPM_BUILD_ROOT%{_mandir}/man2

ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} ; echo libattr.so.*.*.*) \
	 $RPM_BUILD_ROOT%{_libexecdir}/libattr.so

%{__sed} -i "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/libattr.la

echo ".so attr_get.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_getf.3
echo ".so attr_list.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_listf.3
echo ".so attr_multi.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_multif.3
echo ".so attr_remove.3" > $RPM_BUILD_ROOT%{_mandir}/man3/attr_removef.3
echo ".so attr_set.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_setf.3

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libattr.so.*.*
%{_mandir}/man[158]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/libattr.so
%{_libexecdir}/libattr.la
%{_includedir}/attr
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/libattr.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: attr.spec,v $
Revision 1.83  2007/09/12 07:49:44  glen
- check-files cleanup

Revision 1.82  2007/09/12 06:53:21  arekm
- up to 2.4.39

Revision 1.81  2007/06/01 19:17:37  qboosh
- updated to 2.4.38

Revision 1.80  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.79  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.78  2007/01/26 13:20:48  tommat
- rel 3, fixed building on multilib sparc

Revision 1.77  2006/11/25 13:20:51  arekm
- rel 2

Revision 1.76  2006/08/02 01:27:20  sparky
- sed 2 patch

Revision 1.75  2006/07/30 16:39:52  sparky
- pass rpmldflags

Revision 1.74  2006/06/22 07:39:39  qboosh
- removed obsolete pl.po-update patch

Revision 1.73  2006/06/22 06:15:01  arekm
- up to 2.4.32

Revision 1.72  2006/01/21 20:30:26  qboosh
- updated to 2.4.28, added pl.po-update patch

Revision 1.71  2005/10/14 07:44:57  qboosh
- updated to 2.4.24, removed obsolete po patch

Revision 1.70  2005/08/06 17:22:59  qboosh
- updated to 2.4.23, updated po patch

Revision 1.69  2005/06/06 14:13:45  zbyniu
- BR: libtool

Revision 1.68  2005/05/24 22:03:05  pluto
- fix build on sparc64.

Revision 1.67  2005/05/21 19:03:44  pluto
- release 2 for Th.

Revision 1.66  2005/04/15 23:29:20  qboosh
- updated to 2.4.20 (licensing clarifications), updated po patch

Revision 1.65  2005/04/15 17:25:32  darekr
- BR: sed 4.0 is required

Revision 1.64  2004/12/21 12:08:29  qboosh
- spacing

Revision 1.63  2004/11/24 22:26:51  glen
- add O: libattr

Revision 1.62  2004/11/05 10:40:37  paladine
- spaces->tabs
- cosmetics

Revision 1.61  2004/10/17 14:42:56  qboosh
- updated to 2.4.19, updated miscfix patch

Revision 1.60  2004/10/13 10:43:43  mmazur
- rel 4 for th

Revision 1.59  2004/07/31 09:03:37  twittner
- correct path: libdir=/lib -> /usr/lib in libattr.la
- rel. 3

Revision 1.58  2004/07/29 21:48:30  qboosh
- release 2: rebuild (rel. 1 disappeared)

Revision 1.57  2004/07/10 11:46:08  qboosh
- xfsprogs-devel is no longer BRed

Revision 1.56  2004/05/13 20:11:12  areq
- 2.4.16

Revision 1.55  2004/03/27 21:34:51  qboosh
- think... removed pl.po (merged), added po patch (small update)

Revision 1.54  2004/03/27 12:40:20  areq
- 2.4.15

Revision 1.53  2004/02/21 00:59:23  ankry
- rel. 3

Revision 1.52  2004/01/28 21:14:01  qboosh
- updated to 2.4.14, added pl.po, actually enabled gettext

Revision 1.51  2004/01/13 08:57:57  trojan
- updated to 2.4.13

Revision 1.50  2004/01/02 14:52:39  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.49  2003/12/19 00:40:13  jajcus
- use proper libdirs

Revision 1.48  2003/12/08 11:03:55  yoshi
- Added missing BR: gettext-devel.
- Tested on *devel* free system, it builds.

Revision 1.47  2003/12/07 09:50:50  djurban
- buildrequire only xfs-progs not 2.6.0+ (builds)

Revision 1.46  2003/12/01 09:46:24  areq
- 2.4.12

Revision 1.45  2003/10/09 14:06:28  qboosh
- e2fsprogs-devel is not used - removed BR

Revision 1.44  2003/08/25 19:22:08  ankry
- sync pl and en

Revision 1.43  2003/08/25 09:42:05  mmazur
- rel2 for ac

Revision 1.42  2003/08/22 10:29:08  areq
- 2.4.8

Revision 1.41  2003/08/08 19:49:33  qboosh
- optimize, more fixes in miscfix patch to properly detect headers

Revision 1.39  2003/08/05 23:20:53  grzegol
- updated to 2.4.7
- updated miscfix patch

Revision 1.38  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.37  2003/06/16 12:17:58  ankry
- cosmetics

Revision 1.36  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 05:45:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/14 07:42:48  qboosh
- moved attr(5) man to base (useful for users), release 3

Revision 1.33  2003/05/06 21:49:27  qboosh
- autodetect libattr filename when creating libattr.so symlink
- added README to doc

Revision 1.32  2003/04/30 08:17:04  misi3k
- rel 2
- fixed symlink

Revision 1.31  2003/04/30 08:02:24  misi3k
- updated to 2.4.1

Revision 1.30  2003/03/10 22:44:11  qboosh
- man2 pages are in man-pages now (these are pure Linux/new glibc calls)
- release 2

Revision 1.29  2003/02/11 09:31:04  trojan
- updated to 2.2.0
- added %%find_lang

Revision 1.28  2002/11/27 11:09:35  areq
- 2.1.1, STBR

Revision 1.27  2002/11/26 10:57:09  ankry
- 2nd .la file attributes massive attack

Revision 1.26  2002/08/13 16:03:38  baggins
- fixed libattr.so symlink

Revision 1.25  2002/08/13 15:56:45  baggins
- updated to 2.0.9

Revision 1.24  2002/07/20 17:52:19  qboosh
- added missing attr(5) manual
- release 2

Revision 1.23  2002/07/20 14:12:07  areq
- 2.0.8, STBR
- new %doc

Revision 1.22  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/30 13:40:27  pioklo
-update to 2.0.7,STBR

Revision 1.20  2002/04/25 15:49:30  arturs
fixed a small typo

Revision 1.19  2002/04/09 19:28:43  ankry
- removed man section from .so redirections
- release 2

Revision 1.18  2002/04/09 07:56:45  areq
- 2.0.5, STBR

Revision 1.17  2002/04/03 09:01:18  kloczek
- addes static subpackage and Requires rule for main package in devel.

Revision 1.16  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/06 23:11:07  filon
- updated to 1.1.4 (bugfxes)

Revision 1.13  2002/02/02 19:56:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.10  2002/01/02 18:42:58  baggins
- fixed wrong symlink

Revision 1.9  2001/10/08 16:11:55  baggins
- shared lib fix

Revision 1.8  2001/10/08 15:51:43  baggins
- added shared libs

Revision 1.7  2001/10/08 15:42:25  baggins
- updated to 1.1.3

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %%{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %%{name} = %%{version} to devel package

Revision 1.4  2001/06/01 13:10:37  baggins
- updated to 1.0.3

Revision 1.3  2001/05/01 20:55:45  kloczek
- spec adapterized,
- more macros and some cosmetics.

Revision 1.2  2001/05/01 20:48:38  misiek
manual pages added to devel subpackage

Revision 1.1  2001/05/01 20:46:51  misiek
utilities and library to manipulate extended attributes
